Subject: Happy New Year To U!

From: <[email-masked]>
Date: Wed, 31 Dec 2008 07:59:33 -0800 (PST)

Please do not reply to this email.
To contact MAX Company, please
visit our web page

Copyright ÂŠ 2008 MAX Company, Inc. All rights reserved.

20375 Atlanta, Route des Acacias, AT 68746

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBH7iNaj057712 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 17 Dec 2008 00:44:23 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBH7iNiQ057711; Wed, 17 Dec 2008 00:44:23 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBH7iL5J057703 for ; Wed, 17 Dec 2008 00:44:22 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id 769C839E254; Wed, 17 Dec 2008 08:44:21 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id uhyqTufSRmZq; Wed, 17 Dec 2008 08:44:21 +0100 (CET)
Received: from [192.168.1.54] (162.80-203-220.nextgentel.com [80.203.220.162]) by eikenes.alvestrand.no (Postfix) with ESMTPS id D36E039E04A; Wed, 17 Dec 2008 08:44:20 +0100 (CET)
Message-ID: <[email-masked]>
Date: Wed, 17 Dec 2008 08:44:20 +0100
From: Harald Tveit Alvestrand
User-Agent: Thunderbird 2.0.0.18 (X11/20081125)
MIME-Version: 1.0
To: Russ Allbery
CC: [email-masked]
Subject: Re: IETF legal boilerplate
References: <[email-masked]> <[email-masked]> <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Russ Allbery skrev:
> Harald Alvestrand writes:
>
>
>> Looks fine to me; I think the same is said or implied elsewhere
>> (including in USEFOR), but repetition isn't very harmful, and might be
>> helpful.
>>
>
> Thanks, it's in -13.
>
> BTW, there's some current dust-up about the legal boilerplate in RFCs and
> some debate over whether it implies that the I-D author has to verify the
> legal status of all submissions to the I-D. To be perfectly clear in a
> public forum, I have *not* done this. I posted -13 on the basis of the
> following sentence in RFC 5378:
>
> This memo does not retroactively obtain additional rights from
> Contributions that predate the date that the IETF Trust announces the
> adoption of these procedures.
>
> and therefore made no attempt to check the rights status of any
> submissions that went into this draft prior to when I became aware of
> these rules (which was a couple of days ago).
>
Sigh.... as chair of the IPR WG, I'm at least in part responsible for
this :-( - and yes, it's a mess.

In this case, my understanding of copyright law would say that if
Charles or Henry Spencer were to object to submission under RFC 5378,
they would have standing to do so; the requirement from RFC 5378 that
they have "materially and substantially" contributed would leave most of
the rest of us without a copyright to assert.
> RFC 5378 is a long, ugly legal document that I have no particular desire
> to read, understand, or analyze.
all I can say in its defense is that it's 2 pages shorter than 3978, its
predecessor :-(
> I'm hoping that the IETF will clearly
> resolve the current question, which appears to revolve around this text:
>
> To the extent that a Contribution or any portion thereof is protected
> by copyright or other rights of authorship, the Contributor and each
> named co-Contributor grant a perpetual, irrevocable, non-exclusive,
> royalty-free, world-wide, sublicensable right and license to the IETF
> Trust under all such copyrights and other rights in the Contribution:
>
> a. to copy, publish, display, and distribute the Contribution, in
> whole or in part,
>
> b. to prepare translations of the Contribution into languages other
> than English, in whole or in part, and to copy, publish, display,
> and distribute such translations or portions thereof,
>
> c. to modify or prepare derivative works (in addition to
> translations) that are based on or incorporate all or part of the
> Contribution, and to copy, publish, display, and distribute such
> derivative works, or portions thereof unless explicitly disallowed
> in the notices contained in a Contribution (in the form specified
> by the Legend Instructions), and
>
> d. to reproduce any trademarks, service marks, or trade names which
> are included in the Contribution solely in connection with the
> reproduction, distribution, or publication of the Contribution and
> derivative works thereof as permitted by this Section 5.3,
> provided that when reproducing Contributions, trademark and
> service mark identifiers used in the Contribution, including TM
> and (R), will be preserved.
>
> and:
>
> Subject to each Contributor's (or its sponsor's) ownership of its
> underlying Contributions as described in Section 5.6 (which ownership
> is qualified by the irrevocable licenses granted under Section 5.3),
> each Contributor hereby acknowledges that the copyright in any RFC in
> which such Contribution is included, other than an RFC that is an RFC
> Editor Contribution, shall be owned by the IETF Trust. Such
> Contributor shall be deemed to assign to the IETF Trust such
> Contributor's copyright interest in the collective work constituting
> such RFC upon the submission of such RFC for publication, and
> acknowledges that a copyright notice acknowledging the IETF Trust's
> ownership of the copyright in such RFC will be included in the
> published RFC.
>
> I have no problem granting the IETF Trust such a license and copyright
> assignment for the collective copyright for all of my contributions to
> this I-D. However, I want to make very explicitly clear that I can speak
> only for my own contributions, I have not verified the contributions of
> anyone else involved in this draft (named or otherwise), and have no
> intention of doing so.
>
> If it becomes the job of the I-D Author to verify such legal details
> regarding the draft, I will be resigning as document author for this
> working group, as I have neither the time nor the inclination to be a
> legal bookkeeper.
>
Understood. Since the only person left to do the bookkeeping is the WG
chair, I guess it's my job.
> Furthermore, please note that while I have no difficulty doing this, I
> have not signed any legal document transferring copyright, and as a matter
> of law, I do not believe that the IETF is legally permitted to transfer
> copyright in a manner such as that described above without such a legal
> document. So as a matter of law, I believe section 5.9 is, in fact, void.
> I am, however, not a lawyer and am not taking action on that basis.
>
It's not a copyright transfer - it's a license, and a statement that you
won't object to the IETF Trust asserting copyright in the resulting RFC.

That's the only way it can work according to copyright law without
requiring real signed copyright transfer documents, according to the
lawyer. And the WG was very much vehemently opposed to requiring such
copyright transfer documents.
> Other contributors can and should speak for themselves regarding the
> implications of the above (and the rest of RFC 5378) for their work. I
> very explicitly refuse to make any representations on behalf of anyone
> else, and if it is made clear to me that by submitting an I-D I am doing
> so, I will immediately cease to submit any further I-Ds to the IETF until
> such time as that changes.
>
well, 3978 wasn't much better in that regard. The reason it worked was
the assumption (without basis in law, as it turns out - the construction
of the permissions was unsound, but the shared belief that we could is
probably good enough that a challenge wouldn't pass muster) that we had
permission to copy from all contributions, including emails and old I-Ds.

The particular problem here is whether material submitted under 3978 can
be incorporated into material submitted under 5378 without asking the
authors.

The Trust is working on finding a reasonable solution.

Harald

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBGLXGfx030664 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 16 Dec 2008 14:33:16 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBGLXGmG030663; Tue, 16 Dec 2008 14:33:16 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp5.stanford.edu (smtp5.Stanford.EDU [171.67.219.85]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBGLX4Gl030643 for ; Tue, 16 Dec 2008 14:33:15 -0700 (MST) (envelope-from [email-masked])
Received: from smtp5.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 718A93B6A88 for ; Tue, 16 Dec 2008 13:33:04 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp5.stanford.edu (Postfix) with ESMTP id 396873B6A3A for ; Tue, 16 Dec 2008 13:33:03 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id C17DDE7934; Tue, 16 Dec 2008 13:33:03 -0800 (PST)
To: [email-masked]
Subject: IETF legal boilerplate (was: Uncommented diff: define expected )
In-Reply-To: <[email-masked]> (Harald Alvestrand's message of "Tue\, 16 Dec 2008 09\:25\:14 +0100")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
References: <[email-masked]> <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Tue, 16 Dec 2008 13:33:03 -0800
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Harald Alvestrand writes:

> Looks fine to me; I think the same is said or implied elsewhere
> (including in USEFOR), but repetition isn't very harmful, and might be
> helpful.

Thanks, it's in -13.

BTW, there's some current dust-up about the legal boilerplate in RFCs and
some debate over whether it implies that the I-D author has to verify the
legal status of all submissions to the I-D. To be perfectly clear in a
public forum, I have *not* done this. I posted -13 on the basis of the
following sentence in RFC 5378:

This memo does not retroactively obtain additional rights from
Contributions that predate the date that the IETF Trust announces the
adoption of these procedures.

and therefore made no attempt to check the rights status of any
submissions that went into this draft prior to when I became aware of
these rules (which was a couple of days ago).

RFC 5378 is a long, ugly legal document that I have no particular desire
to read, understand, or analyze. I'm hoping that the IETF will clearly
resolve the current question, which appears to revolve around this text:

To the extent that a Contribution or any portion thereof is protected
by copyright or other rights of authorship, the Contributor and each
named co-Contributor grant a perpetual, irrevocable, non-exclusive,
royalty-free, world-wide, sublicensable right and license to the IETF
Trust under all such copyrights and other rights in the Contribution:

a. to copy, publish, display, and distribute the Contribution, in
whole or in part,

b. to prepare translations of the Contribution into languages other
than English, in whole or in part, and to copy, publish, display,
and distribute such translations or portions thereof,

c. to modify or prepare derivative works (in addition to
translations) that are based on or incorporate all or part of the
Contribution, and to copy, publish, display, and distribute such
derivative works, or portions thereof unless explicitly disallowed
in the notices contained in a Contribution (in the form specified
by the Legend Instructions), and

d. to reproduce any trademarks, service marks, or trade names which
are included in the Contribution solely in connection with the
reproduction, distribution, or publication of the Contribution and
derivative works thereof as permitted by this Section 5.3,
provided that when reproducing Contributions, trademark and
service mark identifiers used in the Contribution, including TM
and (R), will be preserved.

and:

Subject to each Contributor's (or its sponsor's) ownership of its
underlying Contributions as described in Section 5.6 (which ownership
is qualified by the irrevocable licenses granted under Section 5.3),
each Contributor hereby acknowledges that the copyright in any RFC in
which such Contribution is included, other than an RFC that is an RFC
Editor Contribution, shall be owned by the IETF Trust. Such
Contributor shall be deemed to assign to the IETF Trust such
Contributor's copyright interest in the collective work constituting
such RFC upon the submission of such RFC for publication, and
acknowledges that a copyright notice acknowledging the IETF Trust's
ownership of the copyright in such RFC will be included in the
published RFC.

I have no problem granting the IETF Trust such a license and copyright
assignment for the collective copyright for all of my contributions to
this I-D. However, I want to make very explicitly clear that I can speak
only for my own contributions, I have not verified the contributions of
anyone else involved in this draft (named or otherwise), and have no
intention of doing so.

If it becomes the job of the I-D Author to verify such legal details
regarding the draft, I will be resigning as document author for this
working group, as I have neither the time nor the inclination to be a
legal bookkeeper.

Furthermore, please note that while I have no difficulty doing this, I
have not signed any legal document transferring copyright, and as a matter
of law, I do not believe that the IETF is legally permitted to transfer
copyright in a manner such as that described above without such a legal
document. So as a matter of law, I believe section 5.9 is, in fact, void.
I am, however, not a lawyer and am not taking action on that basis.

Other contributors can and should speak for themselves regarding the
implications of the above (and the rest of RFC 5378) for their work. I
very explicitly refuse to make any representations on behalf of anyone
else, and if it is made clear to me that by submitting an I-D I am doing
so, I will immediately cease to submit any further I-Ds to the IETF until
such time as that changes.

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBG8PHd0082990 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 16 Dec 2008 01:25:17 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBG8PHfx082989; Tue, 16 Dec 2008 01:25:17 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBG8PGrU082983 for ; Tue, 16 Dec 2008 01:25:16 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id D62A539E353; Tue, 16 Dec 2008 09:25:15 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id jx1i3kzNtdhh; Tue, 16 Dec 2008 09:25:15 +0100 (CET)
Received: from hta-warp.trd.corp.google.com (unknown [195.18.164.170]) by eikenes.alvestrand.no (Postfix) with ESMTPS id 6A6BD39E03E; Tue, 16 Dec 2008 09:25:15 +0100 (CET)
Message-ID: <[email-masked]>
Date: Tue, 16 Dec 2008 09:25:14 +0100
From: Harald Alvestrand
User-Agent: Thunderbird 2.0.0.17 (X11/20080925)
MIME-Version: 1.0
To: Russ Allbery
CC: [email-masked]
Subject: Re: Uncommented diff: define expected
References: <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Russ Allbery wrote:
> I proposed the following diff in response to one of the previous
> discussions, but I don't think I ever got any feedback and hence never
> applied it. Could people look this over and tell me if it should be
> included?
>
> This change goes into the section defining the Path header field.
>
> Index: usepro.xml
> ===================================================================
> --- usepro.xml (revision 5041)
> +++ usepro.xml (working copy)
> @@ -405,7 +405,13 @@
> followed by the FQDN, IP address, or expected
> <path-identity> of the source.
>
> - Be aware that did not include
> + The "expected <path-identity> of the source of the
> + article" is a <path-identity> for the injecting or
> + relaying agent that passed the article to this relaying or
> + serving agent, determined by properties of connection via
> + which the article was received (for example, an
> + authentication identity or a peer IP address). Be aware
> + that did not include
> <path-diagnostic>. Implementations which predate this
> specification will add only single "!" characters between
> <path-identity> strings.
>
>
Looks fine to me; I think the same is said or implied elsewhere
(including in USEFOR), but repetition isn't very harmful, and might be
helpful.

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBENxtAM091115 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 14 Dec 2008 16:59:55 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBENxtni091114; Sun, 14 Dec 2008 16:59:55 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from mail.ietf.org (mail.ietf.org [64.170.98.32]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBENxtJG091108 for ; Sun, 14 Dec 2008 16:59:55 -0700 (MST) (envelope-from [email-masked])
Received: by core3.amsl.com (Postfix, from userid 0) id 9801D3A6778; Sun, 14 Dec 2008 16:00:01 -0800 (PST)
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action:draft-ietf-usefor-usepro-13.txt
Content-Type: Multipart/Mixed; Boundary="NextPart"
Mime-Version: 1.0
Message-Id: <[email-masked]>
Date: Sun, 14 Dec 2008 16:00:01 -0800 (PST)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Usenet Article Standard Update Working Group of the IETF.

Title : Netnews Architecture and Protocols
Author(s) : R. Allbery, C. Lindsey
Filename : draft-ietf-usefor-usepro-13.txt
Pages : 55
Date : 2008-12-14

This document defines the architecture of Netnews systems and
specifies the correct manipulation and interpretation of Netnews
articles by software which originates, distributes, stores, and
displays them. It also specifies the requirements that must be met
by any protocol used to transport and serve Netnews articles.Internet
Draft Comments

Comments are solicited and should be addressed to the Usenet Format
Working Group at [email-masked].

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-usefor-usepro-13.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
name="draft-ietf-usefor-usepro-13.txt";
site="ftp.ietf.org";
access-type="anon-ftp";
directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBENfIT4090649 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 14 Dec 2008 16:41:18 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBENfI3R090648; Sun, 14 Dec 2008 16:41:18 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp2.stanford.edu (smtp2.Stanford.EDU [171.67.219.82]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBENf7Ap090639 for ; Sun, 14 Dec 2008 16:41:17 -0700 (MST) (envelope-from [email-masked])
Received: from smtp2.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 16C9751C4F1 for ; Sun, 14 Dec 2008 15:41:07 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp2.stanford.edu (Postfix) with ESMTP id ED40B51C38B for ; Sun, 14 Dec 2008 15:41:06 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 80E50E7934; Sun, 14 Dec 2008 15:41:06 -0800 (PST)
To: [email-masked]
From: [email-masked]
Subject: Commit in docs/usefor (usepro.xml)
User-Agent: svnlog/1.14
Message-Id: <[email-masked]>
Date: Sun, 14 Dec 2008 15:41:06 -0800 (PST)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Date: Sunday, December 14, 2008 @ 15:41:05
Author: eagle
Revision: 5538

Make usepro-13.

Modified:
docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml 2008-12-14 03:05:44 UTC (rev 5537)
+++ docs/usefor/usepro.xml 2008-12-14 23:41:05 UTC (rev 5538)
@@ -28,7 +28,7 @@
'http://xml.resource.org/public/rfc/bibxml/reference.RFC.5234.xml'>
]>

-

@@ -64,7 +64,7 @@

-
+

Applications
Usenet Format Working Group

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD6qeVk024305 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 23:52:40 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD6qeem024304; Fri, 12 Dec 2008 23:52:40 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-6.gradwell.net (v-smtp-auth-relay-6.gradwell.net [79.135.125.112]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD6qSpE024292 for ; Fri, 12 Dec 2008 23:52:39 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster$pop3^clerew^man*ac$uk) by v-smtp-auth-relay-6.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.301) id 49434434.6906.1832 for [email-masked]; Sat, 13 Dec 2008 05:12:20 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id mBD5CKZQ022094 for ; Sat, 13 Dec 2008 05:12:20 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id mBD5CKIx022091 for [email-masked]; Sat, 13 Dec 2008 05:12:20 GMT
To: [email-masked]
Xref: clerew local.usefor:24960
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: #1479 USEPRO 3.8: Whether moderators SHOULD retain message-ID
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]> <[email-masked]> <[email-masked]>
Date: Fri, 12 Dec 2008 17:53:30 GMT
Lines: 22
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> Russ Allbery writes:

>"Charles Lindsey" writes:

>> "Moderators are encouraged not to alter the Message-ID header field unless
>> it is invalid or the article has become significantly changed from its
>> original form; and are also encouraged to retain the Date ......".

>I just committed a change along those lines. Thanks!

Thanks! I think that issue can now finally be closed.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5NQLs020155 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 22:23:26 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD5NQ7t020154; Fri, 12 Dec 2008 22:23:26 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp5.stanford.edu (smtp5.Stanford.EDU [171.67.219.85]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5NFxd020141 for ; Fri, 12 Dec 2008 22:23:26 -0700 (MST) (envelope-from [email-masked])
Received: from smtp5.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id AD3A33B67DC for ; Fri, 12 Dec 2008 21:23:15 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp5.stanford.edu (Postfix) with ESMTP id 95DB33B67CB for ; Fri, 12 Dec 2008 21:23:15 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 75268E7934; Fri, 12 Dec 2008 21:23:15 -0800 (PST)
To: [email-masked]
Subject: Re: Uncommented diff: define expected
In-Reply-To: (Charles Lindsey's message of "Fri\, 12 Dec 2008 17\:51\:13 GMT")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
References: <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Fri, 12 Dec 2008 21:23:15 -0800
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

"Charles Lindsey" writes:
> Russ Allbery writes:

>>I proposed the following diff in response to one of the previous
>>discussions, but I don't think I ever got any feedback and hence never
>>applied it. Could people look this over and tell me if it should be
>>included?
>
> +1, modulo typo below.

Thanks. This is uncontroversial enough that I'm going to go ahead and
make the change based on that confirmation; if anyone objects, let me
know, and we can talk about it further.

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5Mt9W020136 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 22:22:55 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD5MtK8020135; Fri, 12 Dec 2008 22:22:55 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp2.stanford.edu (smtp2.Stanford.EDU [171.67.219.82]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5Minm020128 for ; Fri, 12 Dec 2008 22:22:55 -0700 (MST) (envelope-from [email-masked])
Received: from smtp2.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id A1E5451C69F for ; Fri, 12 Dec 2008 21:22:44 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp2.stanford.edu (Postfix) with ESMTP id 78B8D51C695 for ; Fri, 12 Dec 2008 21:22:44 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id DD85EE7934; Fri, 12 Dec 2008 21:22:43 -0800 (PST)
To: [email-masked]
From: [email-masked]
Subject: Commit in docs/usefor (usepro.xml)
User-Agent: svnlog/1.14
Message-Id: <[email-masked]>
Date: Fri, 12 Dec 2008 21:22:43 -0800 (PST)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Date: Friday, December 12, 2008 @ 21:22:42
Author: eagle
Revision: 5533

Add an explanation of "expected ".

Modified:
docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml 2008-12-13 05:21:55 UTC (rev 5532)
+++ docs/usefor/usepro.xml 2008-12-13 05:22:42 UTC (rev 5533)
@@ -405,7 +405,13 @@
followed by the FQDN, IP address, or expected
<path-identity> of the source.

- Be aware that did not include
+ The "expected <path-identity> of the source of the
+ article" is a <path-identity> for the injecting or
+ relaying agent that passed the article to this relaying or
+ serving agent, determined by properties of the connection
+ via which the article was received (for example, an
+ authentication identity or a peer IP address). Be aware
+ that did not include
<path-diagnostic>. Implementations which predate this
specification will add only single "!" characters between
<path-identity> strings.

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5M8Ub020104 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 22:22:08 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD5M86T020103; Fri, 12 Dec 2008 22:22:08 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp4.stanford.edu (smtp4.Stanford.EDU [171.67.219.84]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5LwMj020070 for ; Fri, 12 Dec 2008 22:22:08 -0700 (MST) (envelope-from [email-masked])
Received: from smtp4.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id C517F48617A for ; Fri, 12 Dec 2008 21:21:57 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp4.stanford.edu (Postfix) with ESMTP id ACDE5486162 for ; Fri, 12 Dec 2008 21:21:57 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 1459BE7934; Fri, 12 Dec 2008 21:21:57 -0800 (PST)
To: [email-masked]
From: [email-masked]
Subject: Commit in docs/usefor (usepro.xml)
User-Agent: svnlog/1.14
Message-Id: <[email-masked]>
Date: Fri, 12 Dec 2008 21:21:57 -0800 (PST)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Date: Friday, December 12, 2008 @ 21:21:55
Author: eagle
Revision: 5532

Downgrade the requirement that a proto-article not contain a POSTED
Path element from MUST to SHOULD based on issue discussion. (There
is still an open issue on whether it should be reduced further.)

Modified:
docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml 2008-12-12 04:03:08 UTC (rev 5531)
+++ docs/usefor/usepro.xml 2008-12-13 05:21:55 UTC (rev 5532)
@@ -610,7 +610,7 @@

A proto-article has the same format as a normal article
except that the Injection-Info and Xref header fields MUST NOT
- be present; the Path header field MUST NOT contain a "POSTED"
+ be present; the Path header field SHOULD NOT contain a "POSTED"
<diag-keyword>; and any of the following mandatory header
fields MAY be omitted: Message-ID, Date, and Path. In all other
respects, a proto-article MUST be a valid Netnews article. In

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5Lx8Y020078 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 22:21:59 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD5LxsF020077; Fri, 12 Dec 2008 22:21:59 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp1.stanford.edu (smtp1.Stanford.EDU [171.67.219.81]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5Lxqx020071 for ; Fri, 12 Dec 2008 22:21:59 -0700 (MST) (envelope-from [email-masked])
Received: from smtp1.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 0223A170716 for ; Fri, 12 Dec 2008 21:21:59 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp1.stanford.edu (Postfix) with ESMTP id DD7A317071B for ; Fri, 12 Dec 2008 21:21:58 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id D8DBDE7934; Fri, 12 Dec 2008 21:21:58 -0800 (PST)
To: [email-masked]
Subject: Re: Commit in docs/usefor (usepro.xml)
In-Reply-To: (Charles Lindsey's message of "Fri\, 12 Dec 2008 18\:02\:15 GMT")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
References: <[email-masked]> <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Fri, 12 Dec 2008 21:21:58 -0800
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

"Charles Lindsey" writes:

> Can we not at least s/MUST/SHOULD/ for the (apparently acceptable)
> multiple POSTED in Paths, while we continue to debate whether or not to
> reduce it even further.

Oh, sure, good point. Done.

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5KwRG020037 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 22:20:58 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD5KwVV020036; Fri, 12 Dec 2008 22:20:58 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp1.stanford.edu (smtp1.Stanford.EDU [171.67.219.81]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5Kl4D020029 for ; Fri, 12 Dec 2008 22:20:57 -0700 (MST) (envelope-from [email-masked])
Received: from smtp1.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 75D3517031E for ; Fri, 12 Dec 2008 21:20:47 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp1.stanford.edu (Postfix) with ESMTP id 58DE31702F7 for ; Fri, 12 Dec 2008 21:20:47 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 36BAFE7934; Fri, 12 Dec 2008 21:20:47 -0800 (PST)
To: [email-masked]
Subject: Re: Commit in docs/usefor (usepro.xml)
In-Reply-To: (Charles Lindsey's message of "Fri\, 12 Dec 2008 17\:59\:48 GMT")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
References: <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Fri, 12 Dec 2008 21:20:47 -0800
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

"Charles Lindsey" writes:
> [email-masked] writes:

>>Add a specification for the Original-Sender header field as requested
>>during Last Call comments and have incoming gateways use it to preserve
>>the original Sender header field. Include its registration in the
>>IANA Considerations section.

> BTW, were those Last Call comments ever published on this list?

Yeah, it was part of the conversation with SM.

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5CYc4019823 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 22:12:34 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD5CYST019820; Fri, 12 Dec 2008 22:12:34 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-4.gradwell.net (v-smtp-auth-relay-4.gradwell.net [79.135.125.43]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5CPee019803 for ; Fri, 12 Dec 2008 22:12:33 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster&pop3^clerew^man^ac*uk) by v-smtp-auth-relay-4.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.301) id 49434439.ea8.19b for [email-masked]; Sat, 13 Dec 2008 05:12:25 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id mBD5CLj8022110 for ; Sat, 13 Dec 2008 05:12:21 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id mBD5CLDD022107 for [email-masked]; Sat, 13 Dec 2008 05:12:21 GMT
To: [email-masked]
Xref: clerew local.usefor:24962
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: Commit in docs/usefor (usepro.xml)
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]> <[email-masked]>
Date: Fri, 12 Dec 2008 18:02:15 GMT
Lines: 29
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> Russ Allbery writes:

>[email-masked] writes:

>> Add a specification for the Original-Sender header field as requested
>> during Last Call comments and have incoming gateways use it to preserve
>> the original Sender header field. Include its registration in the
>> IANA Considerations section.
>>
>> This specification may move to USEFOR as part of the final publication
>> process of both documents.

>This was the last major change before releasing a new draft. Please
>double-check. I'll upload a new I-D this coming weekend.

Can we not at least s/MUST/SHOULD/ for the (apparently acceptable)
multiple POSTED in Paths, while we continue to debate whether or not to
reduce it even further.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5CYog019825 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 22:12:34 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD5CYD8019822; Fri, 12 Dec 2008 22:12:34 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-4.gradwell.net (v-smtp-auth-relay-4.gradwell.net [79.135.125.43]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5CL1a019801 for ; Fri, 12 Dec 2008 22:12:33 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster$pop3$clerew#man^ac#uk) by v-smtp-auth-relay-4.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.301) id 49434434.aeb.8fe for [email-masked]; Sat, 13 Dec 2008 05:12:20 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id mBD5CK0e022102 for ; Sat, 13 Dec 2008 05:12:20 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id mBD5CKfh022099 for [email-masked]; Sat, 13 Dec 2008 05:12:20 GMT
To: [email-masked]
Xref: clerew local.usefor:24961
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: Commit in docs/usefor (usepro.xml)
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]>
Date: Fri, 12 Dec 2008 17:59:48 GMT
Lines: 31
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> [email-masked] writes:

> Date: Thursday, December 11, 2008 @ 20:03:08
> Author: eagle
>Revision: 5531

>Add a specification for the Original-Sender header field as requested
>during Last Call comments and have incoming gateways use it to preserve
>the original Sender header field. Include its registration in the
>IANA Considerations section.

BTW, were those Last Call comments ever published on this list?

>This specification may move to USEFOR as part of the final publication
>process of both documents.

And that would be good. No other problem with the change (though it might
make good sense in email also, if that could somehow be managed - indeed,
some generic Original-X for all possible X might be a useful feature for
all 2822-like objects, but this WG is not the place for that.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5CYJU019824 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Fri, 12 Dec 2008 22:12:34 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBD5CYHA019821; Fri, 12 Dec 2008 22:12:34 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-4.gradwell.net (v-smtp-auth-relay-4.gradwell.net [79.135.125.43]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBD5CLxE019800 for ; Fri, 12 Dec 2008 22:12:33 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster$pop3#clerew$man^ac#uk) by v-smtp-auth-relay-4.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.301) id 49434434.1824.153 for [email-masked]; Sat, 13 Dec 2008 05:12:20 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id mBD5CJYN022086 for ; Sat, 13 Dec 2008 05:12:20 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id mBD5CJeK022083 for [email-masked]; Sat, 13 Dec 2008 05:12:19 GMT
To: [email-masked]
Xref: clerew local.usefor:24959
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: Uncommented diff: define expected
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]>
Date: Fri, 12 Dec 2008 17:51:13 GMT
Lines: 43
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> Russ Allbery writes:

>I proposed the following diff in response to one of the previous
>discussions, but I don't think I ever got any feedback and hence never
>applied it. Could people look this over and tell me if it should be
>included?

+1, modulo typo below.

>This change goes into the section defining the Path header field.

>Index: usepro.xml
>===================================================================
>--- usepro.xml (revision 5041)
>+++ usepro.xml (working copy)
>@@ -405,7 +405,13 @@
> followed by the FQDN, IP address, or expected
> <path-identity> of the source.
>
>- Be aware that did not include
>+ The "expected <path-identity> of the source of the
>+ article" is a <path-identity> for the injecting or
>+ relaying agent that passed the article to this relaying or
>+ serving agent, determined by properties of connection via
^
the
>+ which the article was received (for example, an
>+ authentication identity or a peer IP address). Be aware
>+ that did not include
> <path-diagnostic>. Implementations which predate this
> specification will add only single "!" characters between
> <path-identity> strings.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC4AIRD051429 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 11 Dec 2008 21:10:18 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBC4AIWl051428; Thu, 11 Dec 2008 21:10:18 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp2.stanford.edu (smtp2.Stanford.EDU [171.67.219.82]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC4AHfm051421 for ; Thu, 11 Dec 2008 21:10:18 -0700 (MST) (envelope-from [email-masked])
Received: from smtp2.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id D6E5D51C7E2 for ; Thu, 11 Dec 2008 20:10:17 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp2.stanford.edu (Postfix) with ESMTP id BA1EC51C3A3 for ; Thu, 11 Dec 2008 20:10:17 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id B6A5AE7934; Thu, 11 Dec 2008 20:10:17 -0800 (PST)
To: [email-masked]
Subject: Re: Commit in docs/usefor (usepro.xml)
In-Reply-To: <[email-masked]> ([email-masked]'s message of "Thu\, 11 Dec 2008 20\:03\:09 -0800 \(PST\)")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
References: <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Thu, 11 Dec 2008 20:10:17 -0800
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

[email-masked] writes:

> Add a specification for the Original-Sender header field as requested
> during Last Call comments and have incoming gateways use it to preserve
> the original Sender header field. Include its registration in the
> IANA Considerations section.
>
> This specification may move to USEFOR as part of the final publication
> process of both documents.

This was the last major change before releasing a new draft. Please
double-check. I'll upload a new I-D this coming weekend.

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC43Lop051038 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 11 Dec 2008 21:03:21 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBC43LEN051037; Thu, 11 Dec 2008 21:03:21 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp1.stanford.edu (smtp1.Stanford.EDU [171.67.219.81]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC43A1m051029 for ; Thu, 11 Dec 2008 21:03:20 -0700 (MST) (envelope-from [email-masked])
Received: from smtp1.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 41F6917056D for ; Thu, 11 Dec 2008 20:03:10 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp1.stanford.edu (Postfix) with ESMTP id 1885E17053A for ; Thu, 11 Dec 2008 20:03:09 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id C9DB2E7934; Thu, 11 Dec 2008 20:03:09 -0800 (PST)
To: [email-masked]
From: [email-masked]
Subject: Commit in docs/usefor (usepro.xml)
User-Agent: svnlog/1.14
Message-Id: <[email-masked]>
Date: Thu, 11 Dec 2008 20:03:09 -0800 (PST)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Date: Thursday, December 11, 2008 @ 20:03:08
Author: eagle
Revision: 5531

Add a specification for the Original-Sender header field as requested
during Last Call comments and have incoming gateways use it to preserve
the original Sender header field. Include its registration in the
IANA Considerations section.

This specification may move to USEFOR as part of the final publication
process of both documents.

Modified:
docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml 2008-12-12 04:00:20 UTC (rev 5530)
+++ docs/usefor/usepro.xml 2008-12-12 04:03:08 UTC (rev 5531)
@@ -1384,9 +1384,45 @@
this <mailbox> SHOULD indicate that the entity responsible
for injection of the message is a gateway. If the original
message already had a Sender header field, it SHOULD be renamed
- so that its contents can be preserved.
+ to Original-Sender so that its contents can be preserved. See
+ for the specification of that
+ header field.

+

+ The Original-Sender header field holds the content of a
+ Sender header field in an original message received by an
+ incoming gateway, preserving it while the incoming gateway adds
+ its own Sender header field. The content syntax makes use of
+ syntax defined in and .
+
+
+
+ header =/ Original-Sender-header
+ Original-Sender-header
+ = "Original-Sender" ":" SP
+ Original-Sender-content
+ Original-Sender-content
+ = mailbox
+
+
+
+
+ The Permanent Message Header Field Repository entry
+ for this header field is:
+
+
+ Header field name: Original-Sender
+ Applicable protocol: Netnews
+ Status: standard
+ Author/Change controller: IETF
+ Specification document(s): RFC&rfc.number;
+
+
+

+

To illustrate the type of precautions that should be taken
against loops, here is an example of the measures taken by one
@@ -2219,6 +2255,10 @@
application/news-transmission is a change to a previous
registration.

+ IANA is requested to register the new header field
+ Original-Sender in the Permanent Message Header Field Repository
+ using the template in .
+
IANA is also requested to change the status of the message/news
media type to "OBSOLETE". message/rfc822 should be used instead.
An updated template is included in .

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC3eRJL050124 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 11 Dec 2008 20:40:27 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBC3eRIL050123; Thu, 11 Dec 2008 20:40:27 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp5.stanford.edu (smtp5.Stanford.EDU [171.67.219.85]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC3eQgN050117 for ; Thu, 11 Dec 2008 20:40:27 -0700 (MST) (envelope-from [email-masked])
Received: from smtp5.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id D5EB33B68A0 for ; Thu, 11 Dec 2008 19:40:26 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp5.stanford.edu (Postfix) with ESMTP id BAB6B3B689D for ; Thu, 11 Dec 2008 19:40:26 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id B5EF6E7934; Thu, 11 Dec 2008 19:40:26 -0800 (PST)
To: [email-masked]
Subject: Uncommented diff: define expected
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
From: Russ Allbery
Organization: The Eyrie
Date: Thu, 11 Dec 2008 19:40:26 -0800
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

I proposed the following diff in response to one of the previous
discussions, but I don't think I ever got any feedback and hence never
applied it. Could people look this over and tell me if it should be
included?

This change goes into the section defining the Path header field.

Index: usepro.xml
===================================================================
--- usepro.xml (revision 5041)
+++ usepro.xml (working copy)
@@ -405,7 +405,13 @@
followed by the FQDN, IP address, or expected
<path-identity> of the source.

- Be aware that did not include
+ The "expected <path-identity> of the source of the
+ article" is a <path-identity> for the injecting or
+ relaying agent that passed the article to this relaying or
+ serving agent, determined by properties of connection via
+ which the article was received (for example, an
+ authentication identity or a peer IP address). Be aware
+ that did not include
<path-diagnostic>. Implementations which predate this
specification will add only single "!" characters between
<path-identity> strings.

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC3dNWD050077 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 11 Dec 2008 20:39:23 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBC3dNrd050076; Thu, 11 Dec 2008 20:39:23 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp5.stanford.edu (smtp5.Stanford.EDU [171.67.219.85]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC3dCvd050065 for ; Thu, 11 Dec 2008 20:39:22 -0700 (MST) (envelope-from [email-masked])
Received: from smtp5.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 1783C3B6517 for ; Thu, 11 Dec 2008 19:39:12 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp5.stanford.edu (Postfix) with ESMTP id F2F723B648C for ; Thu, 11 Dec 2008 19:39:11 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id B6A66E7934; Thu, 11 Dec 2008 19:39:11 -0800 (PST)
To: [email-masked]
Subject: Re: #1479 USEPRO 3.8: Whether moderators SHOULD retain message-ID
In-Reply-To: (Charles Lindsey's message of "Wed\, 10 Dec 2008 12\:39\:17 GMT")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
References: <[email-masked]> <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Thu, 11 Dec 2008 19:39:11 -0800
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

"Charles Lindsey" writes:

> Yes, that is a valid point. OTOH, the consequence of a moderator ignoring
> our advice without good cause could be quite troublesome.
>
> So I now think the most that is needed would be to reword it along the
> following lines:
>
> "Moderators are encouraged not to alter the Message-ID header field unless
> it is invalid or the article has become significantly changed from its
> original form; and are also encouraged to retain the Date ......".
>
> Note additions of "to" before retain (which actually may have already been
> fixed).

I just committed a change along those lines. Thanks!

--
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC3cZGl050055 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Thu, 11 Dec 2008 20:38:35 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBC3cZoE050054; Thu, 11 Dec 2008 20:38:35 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp2.stanford.edu (smtp2.Stanford.EDU [171.67.219.82]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBC3cNv5050041 for ; Thu, 11 Dec 2008 20:38:34 -0700 (MST) (envelope-from [email-masked])
Received: from smtp2.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id A6E0451C8D1 for ; Thu, 11 Dec 2008 19:38:23 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp2.stanford.edu (Postfix) with ESMTP id 8527651C8B5 for ; Thu, 11 Dec 2008 19:38:23 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 0732AE7934; Thu, 11 Dec 2008 19:38:23 -0800 (PST)
To: [email-masked]
From: [email-masked]
Subject: Commit in docs/usefor (usepro.xml)
User-Agent: svnlog/1.14
Message-Id: <[email-masked]>
Date: Thu, 11 Dec 2008 19:38:23 -0800 (PST)
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Date: Thursday, December 11, 2008 @ 19:38:21
Author: eagle
Revision: 5529

Wording tweaks to the text about moderator recommendations for
Message-ID and Date handling, coming out of the discussion of
issue #1479.

Modified:
docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml 2008-12-11 04:32:10 UTC (rev 5528)
+++ docs/usefor/usepro.xml 2008-12-12 03:38:21 UTC (rev 5529)
@@ -1167,12 +1167,14 @@
newsgroups to which it was posted.

Moderators are encouraged to retain the Message-ID header
- field if it is valid, and also retain the Date header field
- unless it appears to be stale (72 hours or more in the past)
- for reasons understood by the moderator (such as delays in the
- moderation process) in which case they MAY substitute the
- current date. Any Injection-Date, Injection-Info, or Xref
- header fields already present MUST be removed.
+ field unless it is invalid or the article was significantly
+ changed from its original form. Moderators are also
+ encouraged to retain the Date header field unless it appears
+ to be stale (72 hours or more in the past) for reasons
+ understood by the moderator (such as delays in the moderation
+ process) in which case they MAY substitute the current date.
+ Any Injection-Date, Injection-Info, or Xref header fields
+ already present MUST be removed.

Any Path header field MUST either be removed or truncated
to only those entries following its "POSTED"

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBAHCGXL054940 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Wed, 10 Dec 2008 10:12:16 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mBAHCG5X054939; Wed, 10 Dec 2008 10:12:16 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-5.gradwell.net (v-smtp-auth-relay-5.gradwell.net [79.135.125.99]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mBAHC4ga054905 for ; Wed, 10 Dec 2008 10:12:16 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster#pop3#clerew^man$ac*uk) by v-smtp-auth-relay-5.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.301) id 493ff863.2f6a.1bb for [email-masked]; Wed, 10 Dec 2008 17:12:03 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id mBAHC3on012294 for ; Wed, 10 Dec 2008 17:12:03 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id mBAHC22E012288 for [email-masked]; Wed, 10 Dec 2008 17:12:02 GMT
To: [email-masked]
Xref: clerew local.usefor:24953
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: #1479 USEPRO 3.8: Whether moderators SHOULD retain message-ID
Content-Type: text/plain; charset=iso-8859-1
Message-ID:
Content-Transfer-Encoding: 8bit
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Date: Wed, 10 Dec 2008 12:39:17 GMT
Lines: 44
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> Russ Allbery writes:

>Julien ÉLIE writes:

>>> 4. Moderators are encouraged to retain the Message-ID header field
>>> if it is valid, and also retain the Date header field unless it
>>> appears to be stale (72 hours or more in the past)
>>>
>>> Charles wanted a SHOULD for retaining message-ID. Nobody else commented.
>>

>To provide some additional history, the reason why the draft currently
>says encouraged and not SHOULD is fallout from a global decision when I
>proposed the alternate draft that became this one a while back, namely to
>avoid any protocol requirements on moderators since, in practice, no
>constraints are placed on what moderators can do.

Yes, that is a valid point. OTOH, the consequence of a moderator ignoring
our advice without good cause could be quite troublesome.

So I now think the most that is needed would be to reword it along the
following lines:

"Moderators are encouraged not to alter the Message-ID header field unless
it is invalid or the article has become significantly changed from its
original form; and are also encouraged to retain the Date ......".

Note additions of "to" before retain (which actually may have already been
fixed).

>Looking back on this several years later, I don't feel the passion for the
>current position that I used to, so at this point I don't really care,
>although I do think encouraged says all that's really necessary to say.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB9AJQc9046061 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Tue, 9 Dec 2008 03:19:27 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB9AJQi0046058; Tue, 9 Dec 2008 03:19:26 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB9AJEOC045988 for ; Tue, 9 Dec 2008 03:19:26 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id 9B40739E27E; Tue, 9 Dec 2008 11:19:13 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id zTNxXW2PYCT2; Tue, 9 Dec 2008 11:19:13 +0100 (CET)
Received: from hta-warp.trd.corp.google.com (unknown [195.18.164.170]) by eikenes.alvestrand.no (Postfix) with ESMTPS id 32EA939E048; Tue, 9 Dec 2008 11:19:13 +0100 (CET)
Message-ID: <[email-masked]>
Date: Tue, 09 Dec 2008 11:19:12 +0100
From: Harald Alvestrand
User-Agent: Thunderbird 2.0.0.17 (X11/20080925)
MIME-Version: 1.0
To: Russ Allbery
CC: Usefor Mailing List
Subject: Re: #1479 USEPRO 3.8: Whether moderators SHOULD retain message-ID
References: <[email-masked]> <[email-masked]>
In-Reply-To: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Russ Allbery wrote:
> Julien =C9LIE writes:
>
> =20
>>> 4. Moderators are encouraged to retain the Message-ID header field=

>>> if it is valid, and also retain the Date header field unless it=

>>> appears to be stale (72 hours or more in the past)
>>>
>>> Charles wanted a SHOULD for retaining message-ID. Nobody else comment=
ed.
>>> =20
>> I also reckon a SHOULD is better for the message-ID. It would prevent=

>> duplicates from being posted in case the same proto-article is posted
>> twice (therefore sent to the moderator with the same message-ID).
>> Useful for both auto-moderation bots and manual moderation.
>>
>> And they are encouraged to retain the Date: header (no need for a SHOU=
LD
>> here).
>> =20
>
> To provide some additional history, the reason why the draft currently
> says encouraged and not SHOULD is fallout from a global decision when I=

> proposed the alternate draft that became this one a while back, namely =
to
> avoid any protocol requirements on moderators since, in practice, no
> constraints are placed on what moderators can do.
>
> Looking back on this several years later, I don't feel the passion for =
the
> current position that I used to, so at this point I don't really care,
> although I do think encouraged says all that's really necessary to say.=

> =20
I'm willing to support the global position that moderators do what they=20
want, so all we can do is encourage them. That would place this item=20
into "no change needed".

Harald

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB95CXOj025209 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Dec 2008 22:12:33 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB95CXq2025208; Mon, 8 Dec 2008 22:12:33 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-6.gradwell.net (v-smtp-auth-relay-6.gradwell.net [79.135.125.112]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB95CM7s025198 for ; Mon, 8 Dec 2008 22:12:33 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster*pop3$clerew*man&ac#uk) by v-smtp-auth-relay-6.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.301) id 493dfe35.6e93.cc for [email-masked]; Tue, 9 Dec 2008 05:12:21 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id mB95CKZR012791 for ; Tue, 9 Dec 2008 05:12:20 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id mB95CJW8012788 for [email-masked]; Tue, 9 Dec 2008 05:12:19 GMT
To: [email-masked]
Xref: clerew local.usefor:24950
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: #1586: Re: ISSUE: treatment of POSTED in proto articles
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]> <[email-masked]>
Date: Mon, 8 Dec 2008 17:17:18 GMT
Lines: 77
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> Harald Tveit Alvestrand writes:

>I have recorded this as issue #1586.

>>>> 3.4.1. Proto-articles
>>>>
>>>> A proto-article has the same format as a normal article except that
>>>> the Injection-Info and Xref header fields MUST NOT be present; the
>>>> Path header field MUST NOT contain a "POSTED" ; and any
>>>> of the following mandatory header fields MAY be omitted: Message-ID,
>>>> Date, and Path. In all other respects, a proto-article MUST be a
>>>> valid Netnews article. In particular, the header fields which may be
>>>> omitted MUST NOT be present with invalid content.
>>>>
>>>> I am worried about that 'MUST NOT contain a "POSTED" '. It
>>>> would cause no interoperability problems and cause no significant harm,
>>>> and hence a "MUST" cannot be justified under RFC 2119. Nothing breaks if
>>>> two "POSTEDs appear in one Path. Indeed, it could arise legitimately in
>>>> multiple injection "after the fact", and in other exotic gatewaying
>>>> situations.
>>>>
>>>> Yes, some s[pc]ammers will preload the Path so as to disguise the true
>>>> origin of an article (which is indeed why POSTED was invented), but that
>>>> is a matter to be taken up by the netkops rather than the protocols. And
>>>> I would prefer to preserve all evidence left over from previous Paths in
>>>> order to facilitate bebugging of broken gateways, etc.
>>>>
>>>> So, at the most, it ought to be a SHOULD, and I would be happy to omit
>>>> it altogether. Note that whatever change is made here, corresponding
>>>> changes would be needed in 3.4.2 and 3.5.2 Step 2.
>>>>
>>
>>
>>> This is also a protocol change and should therefore be a separate issue.
>>> I'm inclined to agree with you that MUST isn't justified here and SHOULD
>>> is more appropriate. I think we already talked about this before,
>>> although I haven't gone back and looked.
>>>
>>
>> OK, here it is. I note that you agree that MUST is too strong.

OK, I think at least s/MUST/SHOULD/ is necessary (no interoperability
implication), as Russ seems to agree.

So it is just a matter of whether to make it lower than SHOULD, on the
grounds given below. But, at this late stage I would settle for that
SHOULD if noone else speaks up. However, I really think it wrong to remove
evidence that might be helpful later, so I would encourage others to look
at this and comment here.

>> However, I think SHOULD (and perhaps even MAY) is too strong. The protocol
>> use to prevent loops is not affected by this change. But the Path is also
>> important for diagnosing the cause of loops (not necessarily
>> non-terminating ones) such as those caused by peculiar gatewaying, and for
>> spotting trollers who try to disguise the source of their articles.
>>
>> So seeing two 'POSTED's in a Path should immediately raise alarm bells
>> (even though it may occasionally turn out to have a benign explanation).
>> But if duplicate 'POSTED's are removed, then no alarm bells will be
>> heard. So leave them in, and let the Debuggers and the Netkops take care
>> of them.
>>
>> In either case, there would be consequential changes elsewhere, as noted.
>>
>>

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB93hVIr021283 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Dec 2008 20:43:31 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB93hVYs021281; Mon, 8 Dec 2008 20:43:31 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from smtp1.stanford.edu (smtp1.Stanford.EDU [171.67.219.81]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB93hKtl021269 for ; Mon, 8 Dec 2008 20:43:30 -0700 (MST) (envelope-from [email-masked])
Received: from smtp1.stanford.edu (localhost.localdomain [127.0.0.1]) by localhost (Postfix) with SMTP id 7A6D01705D4 for ; Mon, 8 Dec 2008 19:43:20 -0800 (PST)
Received: from windlord.stanford.edu (windlord.Stanford.EDU [171.67.225.134]) by smtp1.stanford.edu (Postfix) with ESMTP id 56A1C1705AF for ; Mon, 8 Dec 2008 19:43:20 -0800 (PST)
Received: by windlord.stanford.edu (Postfix, from userid 1000) id 055BDE7934; Mon, 8 Dec 2008 19:43:20 -0800 (PST)
To: "Usefor Mailing List"
Subject: Re: #1479 USEPRO 3.8: Whether moderators SHOULD retain message-ID
In-Reply-To: ("Julien =?iso-8859-1?Q?=C9LIE=22's?= message of "Sun\, 7 Dec 2008 12\:29\:35 +0100")
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.2 (gnu/linux)
References: <[email-masked]>
From: Russ Allbery
Organization: The Eyrie
Date: Mon, 08 Dec 2008 19:43:19 -0800
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Julien =C9LIE writes:

>> 4. Moderators are encouraged to retain the Message-ID header field
>> if it is valid, and also retain the Date header field unless it
>> appears to be stale (72 hours or more in the past)
>>
>> Charles wanted a SHOULD for retaining message-ID. Nobody else commented.
>
> I also reckon a SHOULD is better for the message-ID. It would prevent
> duplicates from being posted in case the same proto-article is posted
> twice (therefore sent to the moderator with the same message-ID).
> Useful for both auto-moderation bots and manual moderation.
>
> And they are encouraged to retain the Date: header (no need for a SHOULD
> here).

To provide some additional history, the reason why the draft currently
says encouraged and not SHOULD is fallout from a global decision when I
proposed the alternate draft that became this one a while back, namely to
avoid any protocol requirements on moderators since, in practice, no
constraints are placed on what moderators can do.

Looking back on this several years later, I don't feel the passion for the
current position that I used to, so at this point I don't really care,
although I do think encouraged says all that's really necessary to say.

--=20
Russ Allbery ([email-masked])

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB8HCQgU082598 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Dec 2008 10:12:26 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB8HCQgI082596; Mon, 8 Dec 2008 10:12:26 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-4.gradwell.net (v-smtp-auth-relay-4.gradwell.net [79.135.125.43]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB8HCEUP082541 for ; Mon, 8 Dec 2008 10:12:25 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster&pop3#clerew&man#ac&uk) by v-smtp-auth-relay-4.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.301) id 493d556c.55a0.32b for [email-masked]; Mon, 8 Dec 2008 17:12:12 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id mB8HC8EB021722 for ; Mon, 8 Dec 2008 17:12:08 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id mB8HC8EA021719 for [email-masked]; Mon, 8 Dec 2008 17:12:08 GMT
To: [email-masked]
Xref: clerew local.usefor:24949
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: #1415 USEPRO 3.2.1 Number of path entries per site
Message-ID:
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]>
Date: Mon, 8 Dec 2008 17:09:02 GMT
Lines: 39
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In <[email-masked]> Harald Tveit Alvestrand writes:

>When scanning the mail archive, I couldn't find an explicit resolution
>of this. ...

There were two issues to that Issue. The 2nd (technical) one was fixd ages
ago.

As for the other:

> ...But I think the text currently in the draft is a good proposal
>for resolution.

>3.2.1. Constructing the Path Header Field

> If a relaying or serving agent receives an article from an injecting
> or serving agent that is part of the same news server, it MAY leave
> the Path header field of the article unchanged. Otherwise, every
> injecting, relaying, or serving agent that accepts an article MUST
> update the Path header field as follows.

That is still the original text, so my issue still remains (I wanted to
allow more flexibility to omit multiple Path entries inserted within one
site where the extra entries did not provide any benefit to subsequent
sites - the earlier USEPOR drafts had allowed that to happen).

But, at this late stage, I am not pressing the issue further, unless
someone else wants to pick it up and run with it.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB8HCQJs082597 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Mon, 8 Dec 2008 10:12:26 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB8HCQ21082595; Mon, 8 Dec 2008 10:12:26 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from v-smtp-auth-relay-4.gradwell.net (v-smtp-auth-relay-4.gradwell.net [79.135.125.43]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB8HCELF082540 for ; Mon, 8 Dec 2008 10:12:25 -0700 (MST) (envelope-from [email-masked])
Received: from [80.175.135.89] ([80.175.135.89] helo=clerew.man.ac.uk country=GB ident=postmaster$pop3$clerew$man*ac#uk) by v-smtp-auth-relay-4.gradwell.net with esmtpa (Gradwell gwh-smtpd 1.301) id 493d556c.79d1.74b for [email-masked]; Mon, 8 Dec 2008 17:12:12 +0000 (envelope-sender )
Received: from clerew.man.ac.uk (localhost [127.0.0.1]) by clerew.man.ac.uk (8.13.7/8.13.7) with ESMTP id mB8HC7dc021712 for ; Mon, 8 Dec 2008 17:12:07 GMT
Received: (from news@localhost) by clerew.man.ac.uk (8.13.7/8.13.7/Submit) id mB8HC23K021705 for [email-masked]; Mon, 8 Dec 2008 17:12:02 GMT
To: [email-masked]
Xref: clerew local.usefor:24948
Path: clerew!chl
From: "Charles Lindsey"
Subject: Re: #1479 USEPRO 3.8: Whether moderators SHOULD retain message-ID
Content-Type: text/plain; charset=iso-8859-1
Message-ID:
Content-Transfer-Encoding: 8bit
X-Newsreader: NN version 6.5.2 (NOV)
References: <[email-masked]>
Mime-Version: 1.0
Date: Mon, 8 Dec 2008 16:58:57 GMT
Lines: 32
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

In Julien ÉLIE writes:

>Hi Harald,

>> 4. Moderators are encouraged to retain the Message-ID header field
>> if it is valid, and also retain the Date header field unless it
>> appears to be stale (72 hours or more in the past)
>>
>> Charles wanted a SHOULD for retaining message-ID. Nobody else commented.

>I also reckon a SHOULD is better for the message-ID. It would prevent duplicates
>from being posted in case the same proto-article is posted twice (therefore sent
>to the moderator with the same message-ID). Useful for both auto-moderation bots
>and manual moderation.

>And they are encouraged to retain the Date: header (no need for a SHOULD here).

+1 (naturally)

But it is no huge deal, and no reason to hold up progress at this stage,
so I will live with either.

--
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133 Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked] Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9 Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7BU1mj076161 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 7 Dec 2008 04:30:01 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB7BU1gk076160; Sun, 7 Dec 2008 04:30:01 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from denver.dinauz.org (dinauz.org [91.121.67.5]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7BTov8076138 for ; Sun, 7 Dec 2008 04:30:01 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost.localdomain [127.0.0.1]) by denver.dinauz.org (Postfix) with ESMTP id B57DB1ABB for ; Sun, 7 Dec 2008 12:29:49 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at dinauz.org
Received: from denver.dinauz.org ([127.0.0.1]) by localhost (dinauz.org [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id 1egO5U6XbFtG for ; Sun, 7 Dec 2008 12:29:49 +0100 (CET)
Received: from Iulius (AAubervilliers-151-1-34-221.w83-112.abo.wanadoo.fr [83.112.145.221]) by denver.dinauz.org (Postfix) with ESMTPSA id 291221AB9 for ; Sun, 7 Dec 2008 12:29:49 +0100 (CET)
Message-ID:
From: =?iso-8859-1?Q?Julien_=C9LIE?=
To: "Usefor Mailing List"
References: <[email-masked]>
In-Reply-To: <[email-masked]>
Subject: Re: #1479 USEPRO 3.8: Whether moderators SHOULD retain message-ID
Date: Sun, 7 Dec 2008 12:29:35 +0100
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-1"; reply-type=response
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi Harald,

> 4. Moderators are encouraged to retain the Message-ID header field
> if it is valid, and also retain the Date header field unless it
> appears to be stale (72 hours or more in the past)
>
> Charles wanted a SHOULD for retaining message-ID. Nobody else commented.

I also reckon a SHOULD is better for the message-ID. It would prevent duplicates
from being posted in case the same proto-article is posted twice (therefore sent
to the moderator with the same message-ID). Useful for both auto-moderation bots
and manual moderation.

And they are encouraged to retain the Date: header (no need for a SHOULD here).

--
Julien ÉLIE

Ť La différence entre un chanteur et une paire de chaussures est que le chanteur
doit partir avant de lasser. La paire de chaussures, il vaut mieux les lacer
avant de partir. ť (Philippe Geluck)

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7BMQHK075650 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 7 Dec 2008 04:22:27 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB7BMQZl075649; Sun, 7 Dec 2008 04:22:26 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7BMPTB075641 for ; Sun, 7 Dec 2008 04:22:26 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id 231BA39E674 for ; Sun, 7 Dec 2008 12:22:25 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id iiO6aUiLby5E for ; Sun, 7 Dec 2008 12:22:24 +0100 (CET)
Received: from [192.168.1.54] (162.80-203-220.nextgentel.com [80.203.220.162]) by eikenes.alvestrand.no (Postfix) with ESMTPS id 9A0A239E407 for ; Sun, 7 Dec 2008 12:22:24 +0100 (CET)
Message-ID: <[email-masked]>
Date: Sun, 07 Dec 2008 12:22:23 +0100
From: Harald Tveit Alvestrand
User-Agent: Thunderbird 2.0.0.18 (X11/20081125)
MIME-Version: 1.0
To: Usefor Mailing List
Subject: December: open issues on USEPRO
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

It's 2 months since the last summary, so I guess another stab is overdue.

The list of issues either open or mentioned in the last summary, with
changed status, if any:

1412 USEPRO 5.3: Cancel newsgroups: matching
CLOSED as "no change needed".
1413 USEPRO 5.5: ihave/sendme syntax
CLOSED as "resolved - change incorporated in -12" (may have been earlier)
1414 USEPRO 3.2.1: delimiter for multiple Path identities
CLOSED as "consensus was reached in May 2007"
1415 USEPRO 3.2.1 - Number of path entries per site
Proposed text in -12. Suggested as "acceptable".
1416 USEPRO 3.9: Reinjection and Injection-Date
CLOSED as "resolved by poll. Result in -12".
1417 USEPRO 3.4: Injecting-agent modification of message-ID
CLOSED - consensus text in Jan 2007, reflected in -12.
1479 USEPRO: Whether moderators SHOULD retain message-ID
No comments - suggest to close as "no support for a change".
1482 USEPRO 3.2: Possibility to use non-resolvable domain name as
path-identity
CLOSED after much debate. Remains closed as "no change needed".

1582 USEPRO LC 4.3 / 5.2.3: 4.3 overlooks chkscope
Text accepted. Will be in -13.
1583 USEPRO LC 5.2.3: Checkgroups control messages
Open. There may be multiple issues here.
1584 USEPRO LC 3.2.1: Adding Injection-Date at posting agent
Open.
1585 USEPRO LC : Length and final dots of newsgroups descriptions
CLOSED as "no change needed".

Additional issue:

1586 USEPRO LC 3.4.1: Multiple POSTED in Path: header
Open.

Harald

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7B9FAY074724 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 7 Dec 2008 04:09:15 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB7B9FG5074723; Sun, 7 Dec 2008 04:09:15 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7B9EOZ074717 for ; Sun, 7 Dec 2008 04:09:14 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id D58C039E674 for ; Sun, 7 Dec 2008 12:09:13 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id jXLXrW45OfGO for ; Sun, 7 Dec 2008 12:09:13 +0100 (CET)
Received: from [192.168.1.54] (162.80-203-220.nextgentel.com [80.203.220.162]) by eikenes.alvestrand.no (Postfix) with ESMTPS id 7B99439E407 for ; Sun, 7 Dec 2008 12:09:13 +0100 (CET)
Message-ID: <[email-masked]>
Date: Sun, 07 Dec 2008 12:09:13 +0100
From: Harald Tveit Alvestrand
User-Agent: Thunderbird 2.0.0.18 (X11/20081125)
MIME-Version: 1.0
To: Usefor Mailing List
Subject: #1479 USEPRO 3.8: Whether moderators SHOULD retain message-ID
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Charles Lindsey raised this back in February 2007, and it hasn't seen
any comments.

The text in question is currently (as of -12):

4. Moderators are encouraged to retain the Message-ID header field
if it is valid, and also retain the Date header field unless it
appears to be stale (72 hours or more in the past) for reasons
understood by the moderator (such as delays in the moderation
process) in which case they MAY substitute the current date. Any
Injection-Date, Injection-Info, or Xref header fields already
present MUST be removed.

Charles wanted a SHOULD for retaining message-ID. Nobody else commented.

If nobody else comments on the issue, I'll close it as "no support for a
change".

Harald

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7B0BnJ074208 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 7 Dec 2008 04:00:11 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB7B0BLa074207; Sun, 7 Dec 2008 04:00:11 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7B0927074195 for ; Sun, 7 Dec 2008 04:00:10 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id 6F1AC39E6E9 for ; Sun, 7 Dec 2008 12:00:09 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id 7fFQwU5-IwXi for ; Sun, 7 Dec 2008 12:00:09 +0100 (CET)
Received: from [192.168.1.54] (162.80-203-220.nextgentel.com [80.203.220.162]) by eikenes.alvestrand.no (Postfix) with ESMTPS id 0082C39E6F3 for ; Sun, 7 Dec 2008 12:00:07 +0100 (CET)
Message-ID: <[email-masked]>
Date: Sun, 07 Dec 2008 12:00:07 +0100
From: Harald Tveit Alvestrand
User-Agent: Thunderbird 2.0.0.18 (X11/20081125)
MIME-Version: 1.0
To: Usefor Mailing List
Subject: #1415 USEPRO 3.2.1 Number of path entries per site
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

When scanning the mail archive, I couldn't find an explicit resolution
of this. But I think the text currently in the draft is a good proposal
for resolution.

3.2.1. Constructing the Path Header Field

If a relaying or serving agent receives an article from an injecting
or serving agent that is part of the same news server, it MAY leave
the Path header field of the article unchanged. Otherwise, every
injecting, relaying, or serving agent that accepts an article MUST
update the Path header field as follows.

If everyone's OK with this (or is "able to live with this"), I'll close
it as "resolved".

Harald

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7A1tB8070620 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sun, 7 Dec 2008 03:01:55 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB7A1tqn070618; Sun, 7 Dec 2008 03:01:55 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from eikenes.alvestrand.no (eikenes.alvestrand.no [158.38.152.233]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB7A1g3i070600 for ; Sun, 7 Dec 2008 03:01:54 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost [127.0.0.1]) by eikenes.alvestrand.no (Postfix) with ESMTP id 8FA1E39E69D; Sun, 7 Dec 2008 11:01:42 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at eikenes.alvestrand.no
Received: from eikenes.alvestrand.no ([127.0.0.1]) by localhost (eikenes.alvestrand.no [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id PehGHGC+AhXp; Sun, 7 Dec 2008 11:01:42 +0100 (CET)
Received: from [192.168.1.54] (162.80-203-220.nextgentel.com [80.203.220.162]) by eikenes.alvestrand.no (Postfix) with ESMTPS id 0D7D339E407; Sun, 7 Dec 2008 11:01:42 +0100 (CET)
Message-ID: <[email-masked]>
Date: Sun, 07 Dec 2008 11:01:41 +0100
From: Harald Tveit Alvestrand
User-Agent: Thunderbird 2.0.0.18 (X11/20081125)
MIME-Version: 1.0
To: Charles Lindsey
CC: [email-masked]
Subject: #1586: Re: ISSUE: treatment of POSTED in proto articles
References: <[email-masked]>
In-Reply-To:
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

I have recorded this as issue #1586.

Charles Lindsey skrev:
> Sory, I omitted to change the Subject line to include "ISSUE" the first
> time I posted this.
>
> In "Charles Lindsey" writes:
>
> In <[email-masked]> Russ Allbery writes:
>
>
>> "Charles Lindsey" writes:
>>
>
>
>>> 3.4.1. Proto-articles
>>>
>>> A proto-article has the same format as a normal article except that
>>> the Injection-Info and Xref header fields MUST NOT be present; the
>>> Path header field MUST NOT contain a "POSTED" ; and any
>>> of the following mandatory header fields MAY be omitted: Message-ID,
>>> Date, and Path. In all other respects, a proto-article MUST be a
>>> valid Netnews article. In particular, the header fields which may be
>>> omitted MUST NOT be present with invalid content.
>>>
>>> I am worried about that 'MUST NOT contain a "POSTED" '. It
>>> would cause no interoperability problems and cause no significant harm,
>>> and hence a "MUST" cannot be justified under RFC 2119. Nothing breaks if
>>> two "POSTEDs appear in one Path. Indeed, it could arise legitimately in
>>> multiple injection "after the fact", and in other exotic gatewaying
>>> situations.
>>>
>>> Yes, some s[pc]ammers will preload the Path so as to disguise the true
>>> origin of an article (which is indeed why POSTED was invented), but that
>>> is a matter to be taken up by the netkops rather than the protocols. And
>>> I would prefer to preserve all evidence left over from previous Paths in
>>> order to facilitate bebugging of broken gateways, etc.
>>>
>>> So, at the most, it ought to be a SHOULD, and I would be happy to omit
>>> it altogether. Note that whatever change is made here, corresponding
>>> changes would be needed in 3.4.2 and 3.5.2 Step 2.
>>>
>
>
>> This is also a protocol change and should therefore be a separate issue.
>> I'm inclined to agree with you that MUST isn't justified here and SHOULD
>> is more appropriate. I think we already talked about this before,
>> although I haven't gone back and looked.
>>
>
> OK, here it is. I note that you agree that MUST is too strong.
>
> However, I think SHOULD (and perhaps even MAY) is too strong. The protocol
> use to prevent loops is not affected by this change. But the Path is also
> important for diagnosing the cause of loops (not necessarily
> non-terminating ones) such as those caused by peculiar gatewaying, and for
> spotting trollers who try to disguise the source of their articles.
>
> So seeing two 'POSTED's in a Path should immediately raise alarm bells
> (even though it may occasionally turn out to have a benign explanation).
> But if duplicate 'POSTED's are removed, then no alarm bells will be
> heard. So leave them in, and let the Debuggers and the Netkops take care
> of them.
>
> In either case, there would be consequential changes elsewhere, as noted.
>
>

Received: from balder-227.proper.com (localhost [127.0.0.1]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB6GGBjl016384 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO); Sat, 6 Dec 2008 09:16:11 -0700 (MST) (envelope-from [email-masked])
Received: (from majordom@localhost) by balder-227.proper.com (8.14.2/8.13.5/Submit) id mB6GGBnb016383; Sat, 6 Dec 2008 09:16:11 -0700 (MST) (envelope-from [email-masked])
X-Authentication-Warning: balder-227.proper.com: majordom set sender to [email-masked] using -f
Received: from denver.dinauz.org (dinauz.org [91.121.67.5]) by balder-227.proper.com (8.14.2/8.14.2) with ESMTP id mB6GFxCL016372 for ; Sat, 6 Dec 2008 09:16:10 -0700 (MST) (envelope-from [email-masked])
Received: from localhost (localhost.localdomain [127.0.0.1]) by denver.dinauz.org (Postfix) with ESMTP id CC8782B5A for ; Sat, 6 Dec 2008 17:15:57 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at dinauz.org
Received: from denver.dinauz.org ([127.0.0.1]) by localhost (dinauz.org [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id QbLhJrXmoa64 for ; Sat, 6 Dec 2008 17:15:57 +0100 (CET)
Received: from Iulius (AAubervilliers-151-1-34-221.w83-112.abo.wanadoo.fr [83.112.145.221]) by denver.dinauz.org (Postfix) with ESMTPSA id 22C17151E for ; Sat, 6 Dec 2008 17:15:57 +0100 (CET)
Message-ID:
From: =?iso-8859-15?Q?Julien_=C9LIE?=
To: "Usefor WG"
Subject: Samples for control messages
Date: Sat, 6 Dec 2008 17:15:44 +0100
Organization: TrigoFACILE -- http://www.trigofacile.com/
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="iso-8859-15"; reply-type=original
Content-Transfer-Encoding: 8bit
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Windows Mail 6.0.6001.18000
X-MimeOLE: Produced By Microsoft MimeOLE V6.0.6001.18049
Sender: [email-masked]
Precedence: bulk
List-Archive:
List-Unsubscribe:
List-ID:

Hi,

Just to let you know that there are currently at least three hierarchies which
are sending control messages according to USEPRO:

grisbi.*, microsoft.public.* and openwatcom.*

Samples for checkgroups:

Sample for newgroup:

Sample for rmgroup:

rmgroup messages do not change from what they used to be.

I believe all these messages have the syntax suggested by USEPRO. Feel free to tell
if it is not the case.

I hope USEPRO will soon be released as an RFC.

Regards,

--
Julien ÉLIE

Ť Omnia uincit Amor et nos cedamus Amori. ť (Virgile)